#
 # spec file for package isoqlog
 #
 # This file and all modifications and additions to the pristine
 # package are under the same license as the package itself.
 #
# norootforbuild

Name:		isoqlog
Summary:	Isoqlog is an MTA log analysis program written in C.
Version:	2.2.1
Release:	1.1%{?dist}
License:	BSD
Group:		Monitoring
URL:		http://www.enderunix.org/isoqlog/
Source0:	isoqlog-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Obsoletes:	isoqlog-toaster-doc isoqlog-toaster
Provides:	isoqlog-toaster

Requires:	qmail

%define		qmailtools_share_dir %{_datadir}/qmailtools
%define		package_share_dir %{_datadir}/isoqlog
%define		package_var_dir /var/lib/qmailtools/isoqlog

%if 0%{?suse_version}
Requires:		apache2 cron
BuildRequires:	apache2 cron
%define			apache_confd	%{_sysconfdir}/apache2/conf.d
%else
Requires:		vixie-cron crontabs
BuildRequires:	crontabs
%define			apache_confd	%{_sysconfdir}/httpd/conf.d
%endif

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
Requires:	httpd
BuildRequires:	httpd
%endif

%if 0%{?mandriva_version}
Requires:	apache-base
BuildRequires:	apache-base
%endif

#----------------------------------------------------------------------------
%description
Isoqlog is an MTA log analysis program written in C. It is designed to
scan qmail, postfix, sendmail logfiles and produce usage statistics in
HTML format. for viewing through a browser. It produces Top domains
output according to Incoming, Outgoing, total mails and bytes, it keeps
your main domain mail statistics with Days Top Domain, Top Users values
for per day, per month, and years.

#----------------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{version}

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

#----------------------------------------------------------------------------
%build
%{configure} \
	--sysconfdir=%{_sysconfdir} \

%{__make}

#----------------------------------------------------------------------------
%install
%{__mkdir_p} \
	%{buildroot}%{_sysconfdir}/cron.d \
	%{buildroot}%{_docdir}/%{name} \
	%{buildroot}%{package_var_dir}/htdocs \
	%{buildroot}%{package_share_dir}/include \
	%{buildroot}%{_defaultdocdir}/isoqlog

%{makeinstall}

if [ "/usr/share/doc/isoqlog" != "%{_defaultdocdir}/isoqlog" ] ; then
	mv %{buildroot}/usr/share/doc/isoqlog/*	%{buildroot}%{_defaultdocdir}/isoqlog/
fi
mv %{buildroot}/usr/etc/* %{buildroot}%{_sysconfdir}
rm -f %{buildroot}%{_sysconfdir}/isoqlog.domains-dist
cp -ar %{buildroot}%{package_share_dir}/htmltemp/images %{buildroot}%{package_var_dir}/htdocs

# cronjob to run
echo "SHELL=/bin/sh
MAILTO=root

58 * * * * root (ls /home/vpopmail/domains | grep -v '^\.') > %{package_var_dir}/isoqlog.domains && \
	%{_bindir}/isoqlog -f %{_sysconfdir}/isoqlog.conf 2>&1 > /dev/null
" > %{buildroot}%{_sysconfdir}/cron.d/isoqlog

# default configuration
echo "
# isoqlog 2.1 Toaster Configuration

logtype = \"qmail-multilog\"
logstore = \"/var/log/qmail/send\"
domainsfile = \"%{package_var_dir}/isoqlog.domains\"
outputdir = \"%{package_var_dir}/htdocs\"
htmldir = \"%{package_share_dir}/htmltemp\"
langfile = \"%{package_share_dir}/lang/english\"
hostname = \"localhost\"
maxsender   = 100
maxreceiver = 100
maxtotal    = 100 
maxbyte     = 100
" > %{buildroot}%{_sysconfdir}/isoqlog.conf

# module to be inserted into toaster-web-admin
echo "
<!-- isoqlog.module -->
<tr>
        <td align=\"right\" width=\"47%\">Usage Statistics per Domain</td>
        <td width=\"6%\">&nbsp;</td>
        <td align=\"left\" width=47%\"><input type=\"button\" value=\"%{name}-%{version}\" class=\"inputs\" onClick=\"location.href='qlogs';\"></td>
</tr>
<!-- isoqlog.module -->
" > %{buildroot}%{package_share_dir}/isoqlog.module

# apache configuration file
mkdir -p %{buildroot}/%{apache_confd}
echo "# configuration to serve qmailmrtg 
Alias /qmail/log %{package_var_dir}/htdocs
<Directory %{package_var_dir}/htdocs>
    AllowOverride All
    Order allow,deny
    Allow from all
    AuthType Basic
    AuthName "Qmail_Toaster"
    AuthUserFile /etc/qmailtoaster-admin.htpasswd
    require valid-user
</Directory>
" > %{buildroot}/%{apache_confd}/%{name}.conf

#-------------------------------------------------------------------
%triggerin -- control-panel-toaster
# Insert into toaster-web-admin
if [ -d %{qmailtools_share_dir}/include ] ; then
	ln -fs %{package_share_dir}/isoqlog.module %{qmailtools_share_dir}/include
fi

#-------------------------------------------------------------------
%triggerun -- control-panel-toaster
# Delete from toaster-web-admin
if [ -e %{qmailtools_share_dir}/include/isoqlog.module ] ; then
	rm %{qmailtools_share_dir}/include/isoqlog.module
fi

#------------------------------------------------------------------------------------
%clean
[ -d %{buildroot} ] && %{__rm} -rf %{buildroot}

#----------------------------------------------------------------------------
%files
%defattr(-,root,root)
%dir %{package_var_dir}
%{package_share_dir}

%attr(0755,root,root) %{_bindir}/isoqlog

%defattr(0644,root,root)
%{package_share_dir}/htmltemp/*
%{package_share_dir}/lang/*
%{package_var_dir}/htdocs/images/*

%config(noreplace) %{_sysconfdir}/isoqlog.conf
%config(noreplace) %{apache_confd}/%{name}.conf
%config %{_sysconfdir}/isoqlog.conf-dist
%config %{_sysconfdir}/cron.d/*

%doc %{_defaultdocdir}/isoqlog/*

#----------------------------------------------------------------------------
%changelog
* Mon Sep 15 2008 Johannes Weberhofer <linux@weberhofer.at> 2.2.1
- Fixed attributes
- Cleaned spec
- Updated to latest version
* Sat Apr 14 2007 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.3.4
- Added CentOS 5 i386 support
- Added CentOS 5 x86_64 support
* Fri Feb 23 2007 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.3.3
- Fix ownership of cron.sh to root:root
* Wed Nov 01 2006 Erik A. Espinoza <espinoza@forcenetworks.com> 2.1-1.3.2
- Added Fedora Core 6 support
* Mon Jun 05 2006 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.3.1
- Add SuSE 10.1 support
- Set apacheuser and apachegroup correctly in cron.sh
* Sat May 13 2006 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.10
- Add Fedora Core 5 support
* Sun Nov 20 2005 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.9
- Add SuSE 10.0 and Mandriva 2006.0 support
* Sat Oct 15 2005 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.8
- Add Fedora Core 4 x86_64 support
* Sat Oct 01 2005 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.7
- Add CentOS 4 x86_64 support
* Fri Sep 22 2005 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.6
- Remove automake config for Mandrake acct build failures
* Fri Jul 01 2005 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.5
- Add Fedora Core 4 support
* Fri Jun 03 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.1-1.2.4
- Gnu/Linux Mandrake 10.0,10.1,10.2 support
* Fri May 27 2005 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.3
- Remove doc rpm
* Sun Feb 27 2005 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.2
- Add Fedora Core 3 support
- Add CentOS 4 support
* Thu Jun 03 2004 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.2.1
- Add Fedora Core 2 support
* Wed Feb 11 2004 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.1.5
- Fix Trustix 2.0 crontab call to fcrontab
- Define crontab
- Define appacheuser and apachegroup
* Mon Dec 29 2003 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.1.4
- Add Fedora Core 1 support
* Tue Nov 25 2003 Nick Hemmesch <nick@ndhsoft.com> 2.1-1.1.3
- Add Red Hat 9 support
- Add Trustix 2.0 support
- Add Mandrake 9.2 support
- Fix images to images-toaster
* Sun Mar 30 2003 Miguel Beccari <miguel.beccari@clikka.com> 2.1-1.1.2
- Toaster HTML templates (alpha status)
* Sat Mar 29 2003 Miguel Beccari <miguel.beccari@clikka.com> 2.1-1.1.1
- First rpm: everything is OK. Templates are NOT ok.
